! This program finds the minimum of a 1D spline function (gas phase potential)
PROGRAM Normalize_1D

USE Spline
USE Subface

IMPLICIT NONE

INTEGER         :: i
TYPE (Spline1D) :: TestSpline
DOUBLE PRECISION :: r
DOUBLE PRECISION, EXTERNAL :: TheSpline

! Read the data
OPEN( 100, FILE="FILE.1d", STATUS="OLD" )

READ(100, *) TestSpline%NX

CALL Allocate_Spline1D( TestSpline, TestSpline%NX )

DO i = 1, TestSpline%NX
  READ(100, *) TestSpline%X(i), TestSpline%F(i)
END DO

CALL Compute_Spline1D( TestSpline )

CLOSE( 100 )

CALL SAKEN( TestSpline%X(1), TestSpline%X(TestSpline%NX), 0.01, 1e-5, TheSpline, r, i, 0 )

PRINT *, r, Evaluate_Spline1D( TestSpline, r )

END PROGRAM


FUNCTION TheSpline( r ) RESULT ( Val )

USE Spline

IMPLICIT NONE

INTEGER         :: i
TYPE (Spline1D) :: TestSpline
DOUBLE PRECISION :: r, Val

! Read the data
OPEN( 100, FILE="FILE.1d", STATUS="OLD" )

READ(100, *) TestSpline%NX

CALL Allocate_Spline1D( TestSpline, TestSpline%NX )

DO i = 1, TestSpline%NX
  READ(100, *) TestSpline%X(i), TestSpline%F(i)
END DO

CALL Compute_Spline1D( TestSpline )

CLOSE( 100 )

Val = Evaluate_Spline1D_Derivative( TestSpline, r )

END FUNCTION

