#!/bin/bash

STRAIN=0.0 # Regular
#STRAIN=0.099147 # l1 - 0.2 Ang
#STRAIN=0.063866 # l1 + 0.2 Ang
#STRAIN=0.130425 # l2 - 0.2 Ang
#STRAIN=0.137955 # l2 + 0.2 Ang

mkdir -p output/Molecule

rm -f TEMP.1d FILE.1d

SETS=`ls *.2d`

########################################
# Find minimum in asymptotic potential #
########################################
echo `cat *_gasphase | wc -l` > FILE.1d
cat *_gasphase >> FILE.1d
../FindMinimum.x > MINGASPHASE
cat MINGASPHASE | awk '{ print $2 }' > REFERENCE
../Normalize_1Dalt.x
mv FILE.1d output/Molecule/VH2.dat

mv MINGASPHASE MINGASPHASE_orig
cat MINGASPHASE_orig | awk "{ print \$1, \$2+$STRAIN }" > MINGASPHASE

##########################
# Now normalize the sets #
##########################
for i in $SETS
do
  echo $i
  echo 16 > FILE.2d
  echo 16 >> FILE.2d
  # If we are doing the top site, then 
  cat $i >> FILE.2d
  ../Normalize_2D.x
  mv NEW.2d output/Molecule/$i
done

mv MINGASPHASE_orig MINGASPHASE

#############################################
# Write Z dependence of gas phase potential #
#############################################
tail -n1 *_extrapol | awk '{ print $2 }' > REFERENCE
cat *_extrapol | wc -l > FILE.1d
cat *_extrapol >> FILE.1d
../Normalize_1Dalt.x
echo "3.5d0   ZCM SWITCH OFF MINIMO (In Angstroms)" > output/Molecule/extrapol.dat
echo "4.25d0   ZCM SWITCH OFF MAXIMO (In Angstroms)" >> output/Molecule/extrapol.dat
echo "      `cat *_extrapol | wc -l`  NZSO" >> output/Molecule/extrapol.dat
tail -n`cat *_extrapol | wc -l` FILE.1d >> output/Molecule/extrapol.dat

rm -f FILE.2d REFERENCE FILE.1d  #MINGASPHASE

